#### PyKDE - Python Bindings for KDE

# class KSpell2.ConfigWidget |
Table of contents
Modules
kspell2 Classes
All Classes

Module | kspell2
Class | KSpell2.ConfigWidget
Inherits | QWidget

### methods

- ConfigWidget (broker, parent, name = 0)

  returns a ConfigWidget instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  broker | KSpell2.Broker |
  parent | QWidget |
  name | char | 0

- backgroundCheckingButtonShown ()

  returns (bool)
  In versions KDE 3.3.0 and above only

- save ()

  returns nothing
  In versions KDE 3.3.0 and above only

- setBackgroundCheckingButtonShown (a0)

  returns nothing
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

- slotChanged ()

  returns nothing
  In versions KDE 3.3.0 and above only

- slotDefault ()

  returns nothing
  In versions KDE 3.3.0 and above only